Skip to content

Upload summit log file

Deprecated
POST
/api/v1/summit-log/{id}/file
curl --request POST \
--url https://example.com/api/v1/summit-log/example/file \
--header 'Content-Type: multipart/form-data' \
--form date=2026-04-15 \
--form text=example \
--form gpx=example \
--form distance=1 \
--form elevation_gain=1 \
--form elevation_loss=1 \
--form duration=1 \
--form photos=example \
--form photos-=example \
--form 'photos+=example'

Deprecated alias of POST /api/v1/summit-log/form/{id}, which accepts the same multipart body and is the endpoint to use. Kept for compatibility; behaves like the form endpoint, except that a body without a gpx or photos part (PocketBase’s +/- modifiers are accepted) is rejected with 400 missing_file instead of being applied as a no-op.

id
required
string
Media typemultipart/form-data
object
date
string format: date
text
string
gpx
string
distance
number
elevation_gain
number
elevation_loss
number
duration
number
photos
Array<string>
photos-

Remove photo by name

string
photos+

Add photo by name

string

Summit log updated

Media typeapplication/json
object
id
required

Summit log ID (15 chars)

string
date
required
string format: date
text
string
author
required

Author user ID (15 chars)

string
trail

Associated trail ID

string
gpx
string
distance
number
elevation_gain
number
elevation_loss
number
duration
number
photos
Array<string>
created
string format: date-time
updated
string format: date-time
Examplegenerated
{
"id": "example",
"date": "2026-04-15",
"text": "example",
"author": "example",
"trail": "example",
"gpx": "example",
"distance": 1,
"elevation_gain": 1,
"elevation_loss": 1,
"duration": 1,
"photos": [
"example"
],
"created": "2026-04-15T12:00:00Z",
"updated": "2026-04-15T12:00:00Z"
}

Bad Request (no gpx or photos part in the body, invalid id, or body id differs from the path)

Not Found

Internal Server Error